# $Revision: 1.20 $, $Date: 2011/12/04 15:22:40 $
#
# Conditional build:
%bcond_without	tests	# do perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	DBus
Summary:	Net::DBus - Perl extension for the DBus message system 
Summary(pl.UTF-8):	Net::DBus - Rozszerzenie Perla dla systemu komunikacji DBus
Name:		perl-Net-DBus
Version:	1.0.0
Release:	1
# "same as perl", but GPL v2+ is specified
License:	GPL v2+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b17e32976d1a3b56feb908ebd7fed7f1
URL:		http://search.cpan.org/dist/Net-DBus/
BuildRequires:	dbus-devel >= 0.90
BuildRequires:	perl-Time-HiRes
BuildRequires:	perl-XML-Parser
BuildRequires:	perl-XML-Twig
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::DBus provides a Perl XS API to the dbus inter-application
messaging system. The Perl API covers the core base level of the dbus
APIs, not concerning itself yet with the GLib or Qt wrappers. For more
information on dbus visit the project website at
<http://www.freedesktop.org/software/dbus/>.

%description -l pl.UTF-8
Moduł Net::DBus dostarcza API Perla XS dla dbusa - systemu komunikacji
między aplikacjami. API Perla pokrywa kluczową funkcjonalność API
dbusa, nie kłopocząc się jeszcze wrapperami GLiba albo Qt. Więcej
informacji na temat dbusa można znaleźć na stronie projektu:
<http://www.freedesktop.org/software/dbus/>.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Net/DBus/*.pod
%{__rm} -r $RPM_BUILD_ROOT%{perl_vendorarch}/Net/DBus/Tutorial

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES README
%{perl_vendorarch}/Net/DBus.pm
%dir %{perl_vendorarch}/Net/DBus
%{perl_vendorarch}/Net/DBus/*.pm
%dir %{perl_vendorarch}/Net/DBus/Binding
%{perl_vendorarch}/Net/DBus/Binding/*.pm
%dir %{perl_vendorarch}/Net/DBus/Binding/Message
%{perl_vendorarch}/Net/DBus/Binding/Message/*.pm
%dir %{perl_vendorarch}/Net/DBus/Test
%{perl_vendorarch}/Net/DBus/Test/*.pm
%dir %{perl_vendorarch}/auto/Net/DBus
%{perl_vendorarch}/auto/Net/DBus/DBus.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Net/DBus/DBus.so
%{_mandir}/man3/Net::DBus*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-DBus.spec,v $
Revision 1.20  2011/12/04 15:22:40  qboosh
- use __rm macro

Revision 1.19  2011/11/29 19:56:48  adwol
- up to 1.0.0

Revision 1.18  2011/10/04 13:17:24  lisu
- rel 5

Revision 1.17  2010/11/12 23:38:11  pawelz
- release 4

Revision 1.16  2010/06/06 08:40:05  arekm
- release 3

Revision 1.15  2009/03/13 22:39:11  hawk
- release 2

Revision 1.14  2008/07/20 10:35:54  qboosh
- updated to 0.33.6
- fixed summaries c/p

Revision 1.13  2008/03/11 16:09:04  patrys
- rel 3

Revision 1.12  2008-02-09 17:01:12  wolvverine
- rel.2

Revision 1.11  2008-01-10 08:38:40  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.10  2007-08-12 09:53:07  qboosh
- updated to 0.33.5

Revision 1.9  2007/05/01 17:21:25  qboosh
- pass OPTIMIZE

Revision 1.8  2007/05/01 17:18:33  arekm
- rel 2; this is not noarch packet; BR dbus-devel

Revision 1.7  2007/03/20 15:48:04  patrys
- 0.33.4
- patch0 now detected at build time
- still does not pass the tests

Revision 1.6  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.4  2006/08/20 10:45:19  qboosh
- fixed build, release 1

Revision 1.3  2006/08/20 09:28:55  qboosh
- cleanup, more docs, no pods (there are mans)

Revision 1.2  2006/08/15 18:25:48  grzegol
- added dbus patch (fixes for dbus-0.91)
- rel. 0.2

Revision 1.1  2006/08/04 15:36:54  czarny
 - init PLD spec
 - made out of perl-Net-ACL.spec
